/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@mixin user-select-mixin($userSelect: none, $outline: none, $highlight-color: transparent) {
  outline: $outline;
  -webkit-tap-highlight-color: $highlight-color;
  -webkit-user-select: $userSelect;
  -moz-user-select: $userSelect;
  -ms-user-select: $userSelect;
  user-select: $userSelect;
}
